ata_id_to_dma_mode
Prev | Chapter 4. libata Library | Next

## Name

ata_id_to_dma_mode — Identify DMA mode from id block

## Synopsis

`void ata_id_to_dma_mode (` | struct ata_device * | dev,
| u8 | unknown`)`;

## Arguments

`dev`

  device to identify

`unknown`

  mode to assume if we cannot tell

## Description

Set up the timing values for the device based upon the identify reported values for the DMA mode. This function is used by drivers which rely upon firmware configured modes, but wish to report the mode correctly when possible.

In addition we emit similarly formatted messages to the default ata_dev_set_mode handler, in order to provide consistency of presentation.

Prev | Up | Next
ata_id_c_string | Home | ata_noop_dev_select